﻿<%@ Page Title="" Language="C#" StylesheetTheme="tw4" MasterPageFile="~/home.Master" AutoEventWireup="true" CodeBehind="Admin.aspx.cs" Inherits="tw4.Admin" %>

<%@ Register Assembly="DevExpress.Web.ASPxEditors.v9.1, Version=9.1.4.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>

<%@ Register Assembly="DevExpress.Web.v9.1, Version=9.1.4.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a"
    Namespace="DevExpress.Web.ASPxTabControl" TagPrefix="dxtc" %>
<%@ Register src="Controls/Map.ascx" tagname="Map" tagprefix="uc" %>
<%@ Register assembly="DevExpress.Web.v9.1, Version=9.1.4.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxClasses" tagprefix="dxw" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="admin">
   
    <dxtc:ASPxPageControl ID="ASPxPageControl1" runat="server" ActiveTabIndex="0" 
        Width="100%" CssFilePath="~/App_Themes/Glass/{0}/styles.css" CssPostfix="Glass" 
        ImageFolder="~/App_Themes/Glass/{0}/" TabSpacing="0px">
        <ContentStyle>
            <Border BorderColor="#4986A2" />
        </ContentStyle>
        <TabStyle HorizontalAlign="Center">
        </TabStyle>
        <TabPages>
            <dxtc:TabPage Text="Web.Config">
                <ContentCollection>
                    <dxw:ContentControl runat="server">
                    <div>
    <div>
<div class="label">Connection string: </div>
<div><asp:TextBox runat="server" Width="300px" TextMode="MultiLine" Height="100px" ID="txtDb"></asp:TextBox></div>
                            
<h2>Email Settings</h2>
<div class="label">Server: </div><div><asp:TextBox runat="server" Width="300px" ID="txtEmailServer"></asp:TextBox></div>
<div class="label">SMTP Username: </div><div><asp:TextBox runat="server" Width="300px" ID="txtSmtpUsername"></asp:TextBox></div>
<div class="label">SMTP Password: </div><div><asp:TextBox runat="server" Width="300px" ID="txtSmtpPassword"></asp:TextBox></div>
<div class="label">Email Address: </div><div><asp:TextBox runat="server" Width="300px" ID="txtEmail"></asp:TextBox></div>

<h2>App Settings</h2>
    
<div class="label" style="clear:both;">Style Name: </div>
<div><asp:TextBox runat="server" ID="txtStyleName"></asp:TextBox>
</div>

<asp:Button ID="Button1" runat="server" onclick="Button1_Click" Text="Create Database" />
 <asp:Button ID="btnCreateDb" runat="server" Text="Update Database" onclick="btnCreateDb_Click" />
<asp:Button ID="Button2" runat="server" Text="Refresh Cache" onclick="btnCreateDb0_Click" />
<asp:Button ID="Button3" runat="server" Text="Save Web.Config" onclick="btnSaveCreate_Click" /> <b style=" color:Red; font-size:9px;">The website will be recycled on a web.config save.</b>


</div>
    
<div class="clear"></div>
</div>
                    </dxw:ContentControl>
                </ContentCollection>
            </dxtc:TabPage>
            <dxtc:TabPage Text="Security">
                <ContentCollection>
                    <dxw:ContentControl runat="server">
                    <div style=" width:45%; float:left">
    <div class="label" style="clear:both;">Secure Page: </div>
    <div>
        <asp:CheckBox ID="cbSecureConfig" runat="server" Text="" />
    </div>
    <div class="label"  style="clear:both;">App Key : </div>
    <div>
        <asp:TextBox runat="server" ID="txtKey" ></asp:TextBox>
    </div>
    <div class="label" style="clear:both;">Secure Html: </div>
    <div>
        <asp:CheckBox ID="cbSecureHtml" runat="server" Text="" />
    </div>
<br />
</div>
                    </dxw:ContentControl>
                </ContentCollection>
            </dxtc:TabPage>
            <dxtc:TabPage Text="General Settings">
                <ContentCollection>
                    <dxw:ContentControl runat="server">
                    <div>
<div class="label" style="clear:both;">Mode: </div>
<div>
<asp:DropDownList runat="server" ID="ddMode">
    <asp:ListItem Text="Taxi" Value="0"></asp:ListItem>
    <asp:ListItem Text="Courier" Value="1"></asp:ListItem>
</asp:DropDownList>
</div>
<div class="label" style="clear:both;">Culture: </div>
<div>
    <asp:DropDownList runat="server" ID="ddlCulture" Width="170px" ></asp:DropDownList>
</div>
<div class="label" style="clear:both;">Timezone: </div>
<div>
    <asp:DropDownList runat="server" ID="ddlTime" Width="170px" ></asp:DropDownList>
</div>
<div class="label" style="clear:both;">Notify Msg Svr: </div>
<div>
    <asp:CheckBox ID="cbNotifyMsgSvr" runat="server" Text="" />
</div>
<div class="label" style="clear:both;">Show Book Btn: </div>
<div>
    <asp:CheckBox ID="cbBook" runat="server" Text="" />
</div>
<div class="label" style="clear:both;">Show New Cus: </div>
<div>
    <asp:CheckBox ID="cbNewClient" runat="server" Text="" />
</div>
<div class="label" style="clear:both;">Message Server IP: </div>
<div>
    <asp:TextBox runat="server" ID="txtMsgSvrIp"></asp:TextBox>
</div>
<div class="label" style="clear:both;">Message Server Port: </div>
<div>
    <asp:TextBox runat="server" ID="txMsgSvrPort"></asp:TextBox>
</div>
</div>

                    </dxw:ContentControl>
                </ContentCollection>
            </dxtc:TabPage>
            <dxtc:TabPage Text="Bookings">
                <ContentCollection>
                    <dxw:ContentControl runat="server">
                    <div>
        <div style=" width:45%; float:left">
        
        <div class="label" style="clear:both;">Force Login: </div><div>
            <asp:CheckBox ID="cbForceLogin" runat="server" Text="" />
        </div>
        
        <div class="label" style="clear:both;">Force Payment: </div><div>
            <asp:CheckBox ID="cbAllowPayment" runat="server" Text="" />
        </div>
        
        <div class="label" style="clear:both;">Allow Bookings: </div><div>
            <asp:CheckBox ID="cbAllowBoolings" runat="server" Text="" />
        </div>
        
        <div class="label" style="clear:both;">Booking page: </div><div><asp:DropDownList runat="server" ID="ddlBookingPage">
            <asp:ListItem Text="Booking" Value="Booking.aspx"></asp:ListItem>
        </asp:DropDownList></div>
        <div class="label" style="clear:both;">Complete page: </div><div><asp:DropDownList runat="server" ID="ddlBookingCompletePage">
            <asp:ListItem Text="Bookings" Value="Bookings.aspx"></asp:ListItem>
        </asp:DropDownList></div>
        <div class="label" style="clear:both;">View page: </div><div><asp:DropDownList runat="server" ID="ddlViewJob">
            <asp:ListItem Text="Booking" Value="bookikg.aspx"></asp:ListItem>
        </asp:DropDownList></div>
        <div class="label" style="clear:both;">Cash Client: </div><div>
            <asp:DropDownList ID="ddlWebCash" runat="server"></asp:DropDownList>
        </div>

        <div class="label" style="clear:both;">Delivery Delay: </div><div><asp:TextBox runat="server" ID="txtDelay"></asp:TextBox></div>
        <div class="label" style="clear:both;">Adv Book Hrs: </div><div><asp:TextBox runat="server" ID="txtAdvanceBooking"></asp:TextBox></div>
        <div class="label" style="clear:both;">Postcode Valid: </div><div><asp:TextBox runat="server" ID="txtPostcodeValid" Width="170px" TextMode="MultiLine"></asp:TextBox></div>
</div>
        <div style=" width:50%; float:left">
        <div class="label" style="clear:both;">Show Services: </div><div>
            <asp:CheckBox ID="cbShowService" runat="server" Text="" />
        </div>
                <div class="label" style="clear:both;">Our Reference: </div><div><asp:TextBox runat="server" ID="txtReference"></asp:TextBox></div>
                <div class="label" style="clear:both;">Reference Prefix: </div><div><asp:TextBox runat="server" ID="txtRefPrefix"></asp:TextBox></div>

        <div class="label" style="clear:both;">Distance Rounding: </div><div><asp:DropDownList runat="server" ID="ddlRounding">
                    <asp:ListItem Text="0" Value="0"></asp:ListItem>
                    <asp:ListItem Text="1" Value="1"></asp:ListItem>
                    <asp:ListItem Text="2" Value="2"></asp:ListItem>
                </asp:DropDownList></div>
        </div>
<div class="clear"></div>
<hr />

</div>
                    </dxw:ContentControl>
                </ContentCollection>
            </dxtc:TabPage>
            <dxtc:TabPage Text="Payments">
                <ContentCollection>
                    <dxw:ContentControl runat="server">
                    <div>
<div class="label">Type: </div><div><asp:DropDownList runat="server" ID="ddlPaymentType">
    <asp:ListItem Text="PayPal IPN" Value="1"></asp:ListItem>
    <asp:ListItem Text="WorldPay" Value="2"></asp:ListItem>
</asp:DropDownList></div>
<div class="label">Account Id: </div><div><asp:TextBox runat="server" ID="txtPayID"></asp:TextBox></div>
<div class="label">Account Password: </div><div><asp:TextBox runat="server" ID="txtPayPassword"></asp:TextBox></div>
<div class="label">URL: </div><div><asp:TextBox runat="server" ID="txtPayURL" Width="500px"></asp:TextBox></div>
<div class="label">CurrencyCode: </div><div><asp:TextBox runat="server" ID="txtCurrencyCode"></asp:TextBox></div>
<div class="label">Test mode : </div><div><asp:TextBox runat="server" ID="cbTestMode" ></asp:TextBox></div>

</div>
                    </dxw:ContentControl>
                </ContentCollection>
            </dxtc:TabPage>
            <dxtc:TabPage Text="Map">
                <ContentCollection>
                    <dxw:ContentControl runat="server">
                    <div>
        <div style=" width:50%; height:310PX; float:left;">
        <uc:Map ID="ucMap" runat="server" TitleHeader="Map Default Location" ShowFindAddress="false"
            ShowHeader="false" 
                MapStyle="position:relative;width:370px;height:300px; display:block;" />
         </div>
         <div style="width:50%; float:left;" >         
         <div class="clear"></div>
         <div style="padding-top:10px;" >
         <div class="label">Default Location: </div>
         <div>
         <asp:UpdatePanel ID="up_findaddress" runat="server" >
               <ContentTemplate>
         <asp:TextBox runat="server" ID="txtBingLocation" Width="170px"></asp:TextBox>
         <asp:Button ID="btnFindDefaultMap" runat="server" OnClientClick="finddefaultmap();" Text="Find" />
         </ContentTemplate>
         </asp:UpdatePanel>
         </div>
         </div>
         <div style="padding-top:10px;" >
         <div class="label">Default Country: </div>
         <div><asp:TextBox runat="server" ID="txtBingCountry" Width="170px"></asp:TextBox></div>
         </div>
         <div style="padding-top:10px;" >
         <div class="label">Distance Unit: </div>
         <div><asp:DropDownList runat="server" ID="ddlBingUnit">
            <asp:ListItem Text="KM" Value="0"></asp:ListItem>
            <asp:ListItem Text="Miles" Value="1"></asp:ListItem>
        </asp:DropDownList></div>
        </div>
        <div style="padding-top:10px;" >
         <div class="label">Distance Optimisation: </div>
         <div><asp:DropDownList runat="server" ID="ddlBingOptimise">
            <asp:ListItem Text="Quickest Route" Value="0"></asp:ListItem>
            <asp:ListItem Text="Shortest Route" Value="1"></asp:ListItem>
        </asp:DropDownList></div>
        </div>
        <div style="padding-top:10px;" >
         <div class="label">Map Control: </div>
         <div><asp:RadioButtonList ID="rblBingMapControl" runat="server">
         <asp:ListItem Value="0" Text="Normal"></asp:ListItem>
         <asp:ListItem Value="1" Text="Small"></asp:ListItem>
         <asp:ListItem Value="2" Text="Tiny"></asp:ListItem>
         </asp:RadioButtonList>
        
        </div>
        </div>
        <div style="padding-top:10px;" >
         <div class="label">Average Speed: </div>
         <div><asp:TextBox runat="server" ID="txtSpeed" Width="70px"></asp:TextBox></div>
         </div>
         </div>
         
         <br style="clear:both;" >
</div>
                    </dxw:ContentControl>
                </ContentCollection>
            </dxtc:TabPage>
        </TabPages>
        <Paddings PaddingLeft="0px" />
    </dxtc:ASPxPageControl>
    <asp:Label ID="lblDbError" runat="server" Text=""></asp:Label>
    
<dxe:ASPxButton ID="ASPxButton1" runat="server" Text="Save" 
        onclick="ASPxButton1_Click">
</dxe:ASPxButton>
</div>
</asp:Content>
