﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Map.ascx.cs" Inherits="tw4.Controls.Map" %>
<script type="text/javascript" src="http://ecn.dev.virtualearth.net/mapcontrol/mapcontrol.ashx?v=6.2">
</script>
<script type="text/javascript">
    var map = null;
    var strMap = '<%= myMap.ClientID %>';
    var panelPoints = new Array();
    var selectedPlace = new Array();
    var findResults = new Array();
    var finditem;
    var CurrentLeg = 0;
    var notifyDistance = 0;
    var notifyNewAddress = 0;
    var strDistanceUnit = 0;
    var strRouteOptimise = 0;
    var icon = "<img src='images/home32.png' style='float:left;' />";
    var iconvahicle = "<img src='images/taxi.gif' />";
    var ix = null;
    var iy = null;
    function toggleMap() {
        document.getElementById(strMap).style.display = document.getElementById(strMap).style.display == 'block' ? 'none' : 'block';
    }
    function GetMap(x, y, vemiles, veControl, veroute) {
        map = new VEMap(strMap);
        ix = x;
        iy = y;
        strDistanceUnit = vemiles;
        strRouteOptimise = veroute;
        if (veControl == '0') {
            map.SetDashboardSize(VEDashboardSize.Normal);
        }
        if (veControl == '1') {
            map.SetDashboardSize(VEDashboardSize.Small);
        }
        if (veControl == '2') {
            map.SetDashboardSize(VEDashboardSize.Tiny);
        }
        map.LoadMap(new VELatLong(x, y), 6, 'r', false);
        
        map.SetScaleBarDistanceUnit(vemiles == '1' ? VEDistanceUnit.Miles : VEDistanceUnit.Kilometers);
    }

    PanelPoint = function(n, pt, i) {
        this.Name = n;
        this.LatLong = pt;
        this.Id = i;
    }

    function DoFind(address) {

        //Declare regular expression
        var telRegEx = new RegExp('^[A-Za-z]{1,2}[0-9A-Za-z]{1,2}[ ]?[0-9]{0,1}[A-Za-z]{2}$');
        
        var where = '';

        if (address.match(telRegEx)) {

            where = address;
        }
        
        //Match textbox value to Regular Expression
        //Match method returns a boolean value
        if (where != '') {
            
            var what = "";
            map.Find(what, where, null, null, null, null, null, null, false, null, onFoundResults);
        }

    }

    function dofindaddress(address, notify, notifyAddress) {
        notifyDistance = notify;
        notifyNewAddress = notifyAddress;
        map.Find("", address, null, null, null, null, null, null, false, null, onFoundResults);

    }

    function mapresize(x,y) {
        map.Resize(x, y);
    }

    function onFoundResults(a, b, c, d, e) {
        if (c != null) {
            findResults = c;
            if (c.length > 0) {
                var strMyResults = '';
                for (x = 0; x < c.length; x++) {
                    strMyResults = strMyResults + "<input type='button' value='View' style='float:right;' OnClick='javascript:ShowAddress("
                    + x.toString() + ");' /><input type='button' value='Select' style='float:right;' OnClick='javascript:AddAddress("
                    + x.toString() + ");ClearResults();' />" 
                    + findResults[x].Name + "<br class='clear' />";
                }
                document.getElementById('myResults').innerHTML = strMyResults;
            }
        }
    }
    function ClearResults() {
        document.getElementById('myResults').innerHTML = '';
    }
    function ShowAddress(i) {
    
        var shape = new VEShape(VEShapeType.Pushpin, findResults[i].LatLong);

        shape.SetCustomIcon(icon);

        shape.SetTitle('');

        shape.SetDescription(findResults[i].Name);

        map.AddShape(shape);

        map.PanToLatLong(findResults[i].LatLong);

    }

    function SetCurrentLeg(i) {
        CurrentLeg = i;
    }

    function AddHomeAddress(haName, haLong, haLat, haid) {
        CurrentLeg = haid;
        findResults = new Array();
        findResults[0] = new PanelPoint(haName, new VELatLong(haLong, haLat), CurrentLeg);
        AddAddress(0);
    }

    function AddCurrentAddress(haName, haLong, haLat) {
        //alert(CurrentLeg);
        findResults = new Array();
        findResults[0] = new PanelPoint(haName, new VELatLong(haLong, haLat), CurrentLeg);
        AddAddress(0);
    }
    
    function AddAddress(i) {

        ShowAddress(i);
        var found = 0;
        for (x = 0; x < panelPoints.length; x++) {
            if (panelPoints[x].Id == CurrentLeg) {
                found = 1;
                panelPoints[x].LatLong = findResults[i].LatLong;
            }
        }
        if (found == 0) {
            panelPoints[panelPoints.length] = new PanelPoint(findResults[i].Name, findResults[i].LatLong, CurrentLeg);
        }
        
        finditem = i;
        if (panelPoints.length > 1) {
            
                    getDirections();
                }
                else {
                    var lat = findResults[i].LatLong.Latitude;
                    var lng = findResults[i].LatLong.Longitude;
                    var des = findResults[i].Name;
                    
                    // update session
                    PageMethods.AddLocation(lat
                    , lng
                    , des
                    , CurrentLeg
                    , '0');
                    
                    // Call to external javascript to refresh page.
                    if (notifyNewAddress == 1) {
                        UpdateAddress(findResults[0].Name);
                    }
                    
                }
            }

            function SetNotifyNewAddress(v) {
                notifyNewAddress = v;
            }
    function OnAddLocationResponse(arg) {
    }
    function getDirections() {

        if (panelPoints.length > 1) {

            var options = new VERouteOptions;

            // Otherwise what's the point?
            options.DrawRoute = true;

            // So the map doesn't change:
            options.SetBestMapView = true;


            // Show as miles
            options.DistanceUnit = strDistanceUnit == '1' ? VERouteDistanceUnit.Mile : VERouteDistanceUnit.Kilometer;

            if (strRouteOptimise == '1') {
                options.RouteOptimize = VERouteOptimize.MinimizeDistance;
            }

            // Call this function when map route is determined:
            options.RouteCallback = myRouteHandler;

            // Show the disambiguation dialog
            options.ShowDisambiguation = false;

            var routeVELatLong = new Array();
            for (x = 0; x < panelPoints.length; x++) {
                routeVELatLong[x] = new VELatLong(panelPoints[x].LatLong.Latitude, panelPoints[x].LatLong.Longitude);
            }
            map.GetDirections(routeVELatLong, options);
        }
    }

    function ClearPoints() {
        panelPoints = new Array();
    }

    function RefreshMapSize() {
    
    } 

    function myRouteHandler(route) {

        PageMethods.AddLocation(findResults[finditem].LatLong.Latitude
            , findResults[finditem].LatLong.Longitude
            , findResults[finditem].Name
            , CurrentLeg
            , route.Distance.toFixed(1));

        if (notifyDistance == 1) {
            //alert(route.Distance.toFixed(1));
            UpdateDistance(route.Distance.toFixed(1));
        }
    }

    function showJob(strLocations, count, strDesc) {

        var options = new VERouteOptions;

        // Otherwise what's the point?
        options.DrawRoute = true;

        // So the map doesn't change:
        options.SetBestMapView = true;


        // Show as miles
        options.DistanceUnit = strDistanceUnit == '1' ? VERouteDistanceUnit.Mile : VERouteDistanceUnit.Kilometer;

        if (strRouteOptimise == '1') {
            options.RouteOptimize = VERouteOptimize.MinimizeDistance;
        }

        // Show the disambiguation dialog
        options.ShowDisambiguation = false;

        var lls = strLocations.toLocaleString().split(",");
        var lds = strDesc.toLocaleString().split(",");
        panelPoints = new Array();
        var routeVELatLong = new Array();
        for (x = 0; x < count; x++) {
            var ll = lls[x].split(" ");
            panelPoints[x] = new PanelPoint(x, new VELatLong(ll[0], ll[1]), lds[x]);
            var shape = new VEShape(VEShapeType.Pushpin, new VELatLong(ll[0], ll[1]));
            routeVELatLong[x] = new VELatLong(ll[0], ll[1]);
            shape.SetCustomIcon(icon);
            shape.SetTitle('');
            shape.SetDescription(lds[x]);
            map.AddShape(shape);
        }
        if (panelPoints.length > 1) {
            map.GetDirections(routeVELatLong, options);
        }
    }
</script>
<div id="myMap" style="position:relative;width:100%;height:15em; display:block;" runat="server" >
</div>
<div id="myResults"  style="position:relative;width:100%;">
</div>
